readCdfUnitNames {affxparser} | R Documentation

## Reads unit (probeset) names from an Affymetrix CDF file

### Description

Gets the names of all or a subset of units (probesets) in an Affymetrix CDF file. This can be used to get a map between unit names an the internal unit indices used by the CDF file.

### Usage

    readCdfUnitNames(filename, units=NULL, verbose=0)

### Arguments

`filename` | The filename of the CDF file.
`units` | An `integer` `vector` of unit indices specifying which units to be read. If `NULL`, all units are read.
`verbose` | An `integer` specifying the verbose level. If 0, the file is parsed quietly. The higher numbers, the more details.

### Value

A `character` `vector` of unit names.

### Author(s)

Henrik Bengtsson (http://www.braju.com/R/)

### See Also

`readCdfUnits`().

### Examples

    ## Not run: See help(readCdfUnits) for an example

[Package affxparser version 1.6.2 Index]